#350 default-plugins.xml

closed-fixed
nobody
5
2014-11-18
2013-11-13
Bernd Wehle
No

How can i integrate the skyprint-plugin into the latest revisions?
In older revisions like 3749 i need a simple copy of this in the File-Menu-group
of default-plugins.xml:
<plug-in>com.isa.jump.plugin.PrintPlugIn</plug-in>

In 3802 or later i see a message "com.isa.plugin.PrintPlugin (Class Not Found Exception)".
Without the entry in the xml the plugin is not available.

Discussion

  • ede

    ede - 2013-11-13

    On 13.11.2013 10:42, Bernd Wehle wrote:


    [bugs:#350] http://sourceforge.net/p/jump-pilot/bugs/350/ default-plugins.xml

    Status: open
    Labels: integrate external plugins
    Created: Wed Nov 13, 2013 09:42 AM UTC by Bernd Wehle
    Last Updated: Wed Nov 13, 2013 09:42 AM UTC
    Owner: nobody

    How can i integrate the skyprint-plugin into the latest revisions?
    In older revisions like 3749 i need a simple copy of this in the File-Menu-group
    of default-plugins.xml:
    com.isa.jump.plugin.PrintPlugIn

    In 3802 or later i see a message "com.isa.plugin.PrintPlugin (Class Not Found Exception)".
    Without the entry in the xml the plugin is not available.

    are you sure the entry alone sufficed before? you probably need to install some jars too.

    looked at our plugins wiki page
    http://sourceforge.net/apps/mediawiki/jump-pilot/index.php?title=Plugins_for_OpenJUMP
    but couldn't find it mentioned there.

    ..ede

     
  • michael michaud

    michael michaud - 2013-11-14

    Did you try to put the printer .jar and itext.jar in the lib directory as I suggested to Peppe ?
    I know this is not the normal behaviour of the plugin manager, but it worked for me.

     
  • michael michaud

    michael michaud - 2014-04-06

    Bernd,

    Let us know if yo solved the problem

     
  • michael michaud

    michael michaud - 2014-04-06
    • status: open --> pending
     
  • michael michaud

    michael michaud - 2014-04-24
    • status: pending --> closed-fixed
     
  • michael michaud

    michael michaud - 2014-04-24

    Included in core

     

Log in to post a comment.